Package gaia.cu9.tools.parallax.readers

# Class StarVariablesCsvReader

java.lang.Object
gaia.cu9.tools.parallax.readers.CsvReader<StarVariables>
gaia.cu9.tools.parallax.readers.StarVariablesCsvReader

public class StarVariablesCsvReader extends CsvReader<StarVariables>

## Field Summary

### Fields inherited from class gaia.cu9.tools.parallax.readers.CsvReader

`currentEntryNumber, logger, path, reader, schema`

## Constructor Summary

Constructors
Constructor
Description
`StarVariablesCsvReader(StarVariablesCsvSchema schema)`

## Method Summary

Modifier and Type
Method
Description
`protected StarVariables`
`buildObject(long entryNumber, List<String> tokens)`

### Methods inherited from class gaia.cu9.tools.parallax.readers.CsvReader

`close, getDouble, getLong, load, next, processLine, readAll`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StarVariablesCsvReader

public StarVariablesCsvReader(StarVariablesCsvSchema schema)

## Method Details

### buildObject

protected StarVariables buildObject(long entryNumber, List<String> tokens)

Specified by:
  `buildObject` in class `CsvReader<StarVariables>`